Subject: Re: [TLS] New version of draft-ietf-tls-psk-new -mac-aes-gcm

From: [email-masked]
Date: Fri, 26 Sep 2008 23:53:38 +0200 (CEST)

Dear Mark,

Thank you for your comments.

> Regarding
> http://www.ietf.org/internet-drafts/draft-ietf-tls-psk-new-mac-aes-gcm-0
> 3.txt
>
> 1. Please Replace:
> Due to recent analytic work on SHA-1 [Wang05], the IETF
>    is gradually moving away from SHA-1 and towards stronger hash
>    algorithms.
>
> with:
> Due to recent analytic work on SHA-1 [Wang05], the IETF
>    is moving away from SHA-1 and towards stronger hash
>    algorithms.

OK

> 2. I think it would be good to see some comment in the 4. security
> considerations regarding NULL_SHA384 NULL_SHA256.

What about adopting the same text of RFC 4785:

OLD:
   The security considerations in [RFC4279], [RFC4758] and [RFC5288]
   apply to this document as well.  In addition, as described in
   [RFC5288], these cipher suites may only be used with TLS 1.2 or
   greater.

NEW:
   The security considerations in [RFC4279], [RFC4758] and [RFC5288]
   apply to this document as well.  In particular, as authentication-only
   ciphersuites (with no encryption) defined here do not support
   confidentiality, care should be taken not to send sensitive information
   (such as passwords) over connections protected with one of the
   ciphersuites with NULL encryption defined in this document.

   As described in [RFC5288], the cipher suites defined in this document
   may only be used with TLS 1.2 or greater.

> Thanks,
> Mark

Best regards,
Badra
_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls

---

From: "Mark Tillinghast" <[email-masked]>
Date: Fri, 26 Sep 2008 15:19:42 -0700

I am good with 4 Security Considerations amendments. That was exactly what I was hoping for.
Thanks
Mark

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, September 26, 2008 2:54 PM
To: Mark Tillinghast
Cc: [email-masked]
Subject: Re: [TLS] New version of draft-ietf-tls-psk-new -mac-aes-gcm

Dear Mark,

OK

OLD:

NEW:

Best regards,
Badra